<template>
  <yandex-map
    :coords="[lat, long]"
    :settings="settings"
    :zoom="zoom"
    :controls="['zoomControl']"
    class="map-box"
    @click="clickOnMap"
  >
    <ymap-marker
      v-if="marker"
      marker-id="yandex-marker"
      :coords="[lat, long]"
      :marker-events="['click']"
      :icon="markerIcon"
    />
  </yandex-map>
</template>

<script>
import { loadYmap, yandexMap, ymapMarker } from 'vue-yandex-maps';

export default {
  name: 'map',
  components: {
    yandexMap,
    ymapMarker,
  },
  props: {
    content: { type: Object },
  },
  data() {
    return {
      lat: this.content.marker.lat,
      long: this.content.marker.lon,
      marker: true,
      settings: {
        apiKey: this.content.key,
        // apiKey:'145f15a5-71c4-4c13-babf-8be5f8d7b6e0',
        lang: 'ru_RU',
        coordorder: 'latlong',
      },
      markerIcon: {
        layout: 'default#image',
        imageHref: this.content.marker.image,
        // imageHref: "src/assets/img/marker.svg",
        imageSize: [61, 77],
        imageOffset: [-30, -77],
      },
    };
  },
  computed: {
    zoom() {
      return this.content && this.content.zoom ? this.content.zoom : 16;
    },
  },
  mounted() {},
  methods: {
    clickOnMap() {},
  },
};
</script>
